#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 sorted-list
version:              0.2.1.2
visibility:           public
id:                   sorted-list-0.2.1.2-58UU11oG5jY1KnTlZmN3LP
key:                  sorted-list-0.2.1.2-58UU11oG5jY1KnTlZmN3LP
license:              BSD-3-Clause
maintainer:           Daniel Casanueva (daniel.casanueva `at` proton.me)
author:               Daniel Casanueva (daniel.casanueva `at` proton.me)
synopsis:             Type-enforced sorted lists and related functions.
description:
    Type-enforced sorted lists and related functions.

    These are useful for:

    * Constraining the argument of a function to be a sorted list
    by stating in your type that the input list is a sorted list.

    * Avoiding sorting a list twice.

    * Creating a list that is sorted from the moment of its construction,
    so it doesn'\''t have to be sorted later.

    * Performing list operations keeping the input list sorted.

    * Improving those list operations that can be
    benefited from the ordering of its elements.

    * Creating infinite lists that are sorted!

    * And more!

    If you are missing a feature, do not hesitate
    to ask by opening an issue at the bug-tracker.

category:             Data
abi:                  d1f098157af54c45fd75cd83b2d24bcb
exposed:              True
exposed-modules:      Data.SortedList
import-dirs:          /usr/lib/ghc-9.0.2/site-local/sorted-list-0.2.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/sorted-list-0.2.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-sorted-list
hs-libraries:         HSsorted-list-0.2.1.2-58UU11oG5jY1KnTlZmN3LP
depends:              base-4.15.1.0 deepseq-1.4.5.0
haddock-interfaces:   /usr/share/doc/haskell-sorted-list/html/sorted-list.haddock
haddock-html:         /usr/share/doc/haskell-sorted-list/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

